# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'sidewatch/version'

Gem::Specification.new do |spec|
  spec.name          = "sidewatch"
  spec.version       = Sidewatch::VERSION
  spec.authors       = ["Jan Hecking"]
  spec.email         = ["jan@travelmob.com"]
  spec.description   = %q{Uploads Sidekiq metrics to AWS CloudWatch in regular intervals}
  spec.summary       = %q{Uploads Sidekiq metrics to AWS CloudWatch in regular intervals}
  spec.homepage      = "https://github.com/jhecking"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake", "~> 10.4"
  spec.add_development_dependency "rspec", "~> 3.0"

  spec.add_runtime_dependency "daemons", "~> 1.2"
  spec.add_runtime_dependency "sidekiq", "~> 2.17"
  spec.add_runtime_dependency "aws-sdk", "~> 2.0"
  spec.add_runtime_dependency "dotenv", "~> 2.0"
end
